package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.PatrolInspectionPlanSon;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
public interface PatrolInspectionPlanSonService extends CrudService<PatrolInspectionPlanSon> {

    /**
     * 手机端-巡检自检-首页
     *
     * @param personnelId 人员ID
     * @return
     */
    Map<String, Object> appPlanStatistics(Integer personnelId);

    /**
     * 手机端-巡检子计划数量查询
     *
     * @param planIdList 主计划ID
     * @param completion 完成百分比
     * @return
     */
    Integer planSonCount(List<Integer> planIdList, Integer completion);
}
